## eoleflask-aaa 2.4.0-14

=== debian/changelog ===
eoleflask-aaa (2.4.0-14) eole-2.4-unstable; urgency=low

  [ Philippe Caseiro ]
  * [1de8d8e] eoleauthlib/i18n.py : Correction de l'utilisation de gettext.
  * [01aeb95] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [1c26eb9] Philippe Caseiro: Update package since 'debian/eole/2.4/2.4.0-13'

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 24 Apr 2014 18:35:24 +0200

eoleflask-aaa (2.4.0-13) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [7dbf098] Correction de l'url de redirection dans la fonction de logout par défaut
  * [0529ded] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [a8a0dc5] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-12'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 17 Apr 2014 15:14:42 +0200

eoleflask-aaa (2.4.0-12) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ea37b0c] * zephir_pam.py : corrections orthographiques
  * [e7c50e5] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [14866bb] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-11'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 11 Apr 2014 18:10:57 +0200

eoleflask-aaa (2.4.0-11) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [c6e9a14] Forgotten Errors file
  * [d4fd390] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [b52d627] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.0-10'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 11 Apr 2014 15:04:18 +0200

eoleflask-aaa (2.4.0-10) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [bf57416] Fix zephir data provide by passing args through flask.g
  * [70570a8] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [ae257f0] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.0-9'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 11 Apr 2014 14:55:28 +0200

eoleflask-aaa (2.4.0-9) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [8de1fcc] Zephir dynamic check + option 'registered' - Ref: #7849
  * [e0971cd] Allowed users corrections - Ref: #7849
  * [b6e5fae] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [5c9897d] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.0-8'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 11 Apr 2014 14:03:13 +0200

eoleflask-aaa (2.4.0-8) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [3568a49] Correction des redirections derrière un reverse proxy (ref #7831)

  [ Garette Emmanuel ]
  * [5edac6d] CONTOURNEMENT TEMPORAIRE : si on est pas enregistrer dans Zéphir, on ne peut se logger qu'en root (ref #7849)
  * [726b6ee] les messages d'erreurs doivent être en unicode (fixes #7834) (fixes #7821)
  * [06e2e1d] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [44c6620] Garette Emmanuel: Update package since 'debian/eole/2.4/2.4.0-7'

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 03 Apr 2014 11:04:05 +0200

eoleflask-aaa (2.4.0-7) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [5222a58] Remove prints
  * [f6230bb] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [147b278] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.0-6'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 28 Mar 2014 17:26:07 +0100

eoleflask-aaa (2.4.0-6) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [993e9bb] Zephir_PAM authentication module - Ref: #6970
  * [41bfb25] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [5887365] Ghislain Loaec: Update package since 'debian/eole/2.4/2.4.0-5'

 -- Ghislain Loaec <gloaec@cadoles.com>  Fri, 28 Mar 2014 15:32:32 +0100

eoleflask-aaa (2.4.0-5) eole-2.4-unstable; urgency=low

  [ Ghislain Loaec ]
  * [66d682d] Change X to dissmiss alert to '&times'

  [ Laurent Flori ]
  * [83a957d] Dépendance sur eole-flask et non sur eole-flask-server

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Thu, 13 Mar 2014 10:28:15 +0100

eoleflask-aaa (2.4.0-4) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [e97f272] calcul des URLS de login SSO avec urlparse.urljoin

  [ Ghislain Loaec ]
  * [d3ab55a] HMAC unicode to byte array error fix

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Tue, 12 Nov 2013 16:42:00 +0100

eoleflask-aaa (2.4.0-3) eole-2.4-unstable; urgency=low

  * [b29d765] replacement de /etc/eole/flask/enable/eolegenconfig.conf par /etc/eole/flask/enabled/eolegenconfig.conf (fixes #6372)

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 06 Nov 2013 12:00:19 +0100

eoleflask-aaa (2.4.0-2) eole-2.4-unstable; urgency=low

  * [abc930e] ajout de autocomplete='off' sur les champs du formulaire d'authentification
  * [b83bdda] correction sur import redis et sur le formulaire du plugin pam

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 31 Oct 2013 11:14:04 +0100

eoleflask-aaa (2.4.0-1) eole-2.4-unstable; urgency=low

  * [c4a52e1] Première version des fichiers de packaging debian

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 30 Oct 2013 15:05:28 +0100

## eoleflask-aaa 2.4.1-5

=== Makefile ===
################################
# Makefile pour eoleflask-aaa
################################

SOURCE=eoleflask-aaa
EOLE_VERSION=2.4
PKGAPPS=flask
FLASK_MODULE=eoleauth

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

## eoleflask-aaa 2.4.0-17

=== debian/changelog ===
eoleflask-aaa (2.4.0-17) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [fef5222] Correction de l'authentification Zéphir si '?' dans mot de passe

  [ Joël Cuissinat ]
  * [08f551b] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [55282c7] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-16'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Jul 2014 17:40:33 +0200

eoleflask-aaa (2.4.0-16) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [156b48f] Correction dans le cas de l'utilisation d'un backend Redis
  * [668095e] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [752bac4] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-15'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 19 Jun 2014 17:37:39 +0200

eoleflask-aaa (2.4.0-15) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [5afefde] Correction si authentification en cours pendant le redémarrage d'eoleflask
  * [0e7af6c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [3dbe281] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.0-14'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 19 Jun 2014 11:31:32 +0200

=== debian/control ===
Source: eoleflask-aaa
Section: admin
Priority: optional
Maintainer: Équipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eoleflask-aaa
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eoleflask-aaa/repository

Package: eoleflask-aaa
Architecture: all
Depends: ${misc:Depends},
         python-eoleflask-aaa (= ${binary:Version}),
         eole-flask,
Description: authentication and authorization framework for eoleflask applications
 eolefalsk-aaa can be used to enable authentication in web application managed by
 eoleflask web server
 .
 This package provides the configuration for eole-flask-server and the
 web application files.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: python-eoleflask-aaa
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-eoleflask (>= 2.4.0-7),
         creole (>= 2.4.0-105)
Description: python libraries for eoleflask-aaa
 eoleflask-aaa can be used to enable authentication in web application managed by
 eoleflask web server. included library is eoleauthlib
 .
 This package provides library (eoelauthlib) that can be used in eoleflask
 applications to provide authentication and session management
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eoleflask-aaa 2.4.1-5

=== debian/changelog ===
eoleflask-aaa (2.4.1-5) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [73947f4] activation par défaut du mode préfixé dans eoleauth.conf
  * [8f89d4c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [7c8e623] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.1-4'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 19 Nov 2014 16:59:50 +0100

eoleflask-aaa (2.4.1-4) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [a185913] Correction du login en mode global si un prefixe eoleflask est déclaré
  * [8611b5f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [dcacb9c] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.1-3'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 19 Nov 2014 16:40:16 +0100

eoleflask-aaa (2.4.1-3) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [eaf0703] Update gitignore for EOLE 2.4.1

  [ Bruno Boiget ]
  * [df69685] Début des corrections pour permettre la déconnexion centralisée en mode CAS
  * [70faac8] Déplacement de la gestion du mapping de session dans session_interface
  * [63cb13a] Suppression des sessions et mappings en cas de logout sso/local
  * [452d6d5] Désactivation possible du stockage des sessions dans Redis par application
  * [1a5deef] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [abd8381] Bruno Boiget: Update package since 'debian/eole/2.4/2.4.1-2'

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 13 Nov 2014 16:39:11 +0100

eoleflask-aaa (2.4.1-2) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [3d9e3c8] Vérification de la présence du service eoleflask en postinst et postrm

  [ EOLE Build Daemon ]
  * [dcf6e73] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.1-1'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 21 Oct 2014 12:09:00 +0200

eoleflask-aaa (2.4.1-1) eole-2.4-unstable; urgency=low

  [ Lionel MORIN ]
  * [6aa02cc] Correction des Dépendances pour le mode conteneur

  [ EOLE Build Daemon ]
  * [fa5c9e6] Lionel MORIN: Update package since 'debian/eole/2.4/2.4.0-17'

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 25 Sep 2014 15:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          python-eoleflask-aaa (= ${binary:Version}),
-         eole-flask,
+         eole-flask-server,
 Description: authentication and authorization framework for eoleflask applications
  eolefalsk-aaa can be used to enable authentication in web application managed by
  eoleflask web server
@@ -29,7 +29,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-eoleflask (>= 2.4.0-7),
-         creole (>= 2.4.0-105)
+         python-pam
 Description: python libraries for eoleflask-aaa
  eoleflask-aaa can be used to enable authentication in web application managed by
  eoleflask web server. included library is eoleauthlib

## eoleflask-aaa 2.8.0-4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,9 @@
 ################################
 
 SOURCE=eoleflask-aaa
-EOLE_VERSION=2.4
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=flask
 FLASK_MODULE=eoleauth

=== debian/changelog ===
eoleflask-aaa (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [69e69b3] suppression de warnings lors des tests (ref #30504)
  * [02e3b0f] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c3c7ff0] Emmanuel Garette: Update package since “debian/eole/2.8.0-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 14 Aug 2020 15:30:12 +0200

eoleflask-aaa (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [95317a7] port en python3 (ref #29816)
  * [d27ae25] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0d91862] Emmanuel Garette: Update package since “debian/eole/2.8.0-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 30 Mar 2020 11:35:38 +0200

eoleflask-aaa (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [be532e8] python => python3 (ref #29576)
  * [2712840] python => python3 (ref #29576)
  * [673b0f9] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [fd754cf] Emmanuel Garette: Update package since “debian/eole/2.8.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 Feb 2020 10:39:23 +0100

eoleflask-aaa (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [17bb487] Prepare version 2.6.1
  * [e75b28d] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master
  * [be4eb13] Prepare version 2.6.2
  * [65bf2ef] Merge tag 'release/2.6.2' into dist/eole/2.6.2/master
  * [7583049] Prepare version 2.7.0
  * [33016ad] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master
  * [b4eaeb9] Prepare version 2.7.1
  * [98a1229] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master
  * [6bb32b9] Prepare version 2.7.2
  * [c0af3fc] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [27b1270] Prepare version 2.8.0
  * [a1d0371] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [97b5cc6] support de python3 (ref #29575)
  * [2377bc7] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d3a3a20] Emmanuel Garette: Update package since “debian/eole/2.6.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 05 Feb 2020 15:37:52 +0100

eoleflask-aaa (2.6.0-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [cc1ebab] Prepare version 2.6.0
  * [0113d54] Merge tag 'release/2.6.0' into dist/eole/2.6.0/master

  [ Lionel MORIN ]
  * [d037aae] Prise en compte de l'IP locale du SSO pour la déconnexion centralisée
  * [0d14e4c] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [41f69df] Lionel MORIN: Update package since “debian/eole/2.5.2-1”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 02 Sep 2016 15:39:17 +0200

eoleflask-aaa (2.5.2-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [2147fe3] Correction du Makefile
  * [472772b] Merge branch '2.4.1/master'
  * [75c2fad] Preparation pour EOLE 2.4.2-alpha1
  * [5859757] Preparation pour EOLE 2.5
  * [2a2c7f0] Prepare version 2.5.1-a1
  * [86e6d94] Correction du Makefile
  * [0638774] Merge branch 'master' into dist/eole/2.5/master
  * [aa2ce37] Nouvel espace de nommage des tags Debian
  * [1198ec4] Release version 2.5.1
  * [48d1354] Prepare version 2.5.2
  * [5524a43] Merge tag 'release/2.5.2' into dist/eole/2.5/master

  [ Lionel MORIN ]
  * [251ab1b] Prise en compte de FORCE_CAS_REMOTE_IP en mode conteneur pour la déco centralisée (ref #13269 @4h)
  * [c1c7bfe] Merge branch '2.5.1/master'
  * [6364ccd] Correction d'un problème d'encodage (ref #14479 @2h45)
  * [1c2576c] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [9be557d] Lionel MORIN: Update package since “debian/eole/2.4.1-5”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 22 Dec 2015 10:13:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all
+Build-Depends: debhelper (>= 9), python3-all, dh-python
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eoleflask-aaa
@@ -27,9 +27,9 @@
 Architecture: all
 Section: python
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          python-eoleflask (>= 2.4.0-7),
-         python-pam
+         python3-pam
 Description: python libraries for eoleflask-aaa
  eoleflask-aaa can be used to enable authentication in web application managed by
  eoleflask web server. included library is eoleauthlib

## eoleflask-aaa 2.8.1-2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eoleflask-aaa
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=flask
 FLASK_MODULE=eoleauth

=== debian/changelog ===
eoleflask-aaa (2.8.1-2) eole-2.8.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [7c8dc03] correction encodage url redirection ref #33008
  * [b60629b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [082fb89] Matthieu Lamalle: Update package since “debian/eole/2.8.1-1”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 23 Aug 2021 11:08:49 +0200

eoleflask-aaa (2.8.1-1) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f9be518] Prepare version 2.8.1
  * [449ef7a] Merge branch 'master' into dist/eole/2.8.1/master

  [ Emmanuel Garette ]
  * [196ffdc] support de lemonldap (ref #32996)
  * [07ee472] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c3305eb] Emmanuel Garette: Update package since “debian/eole/2.8.0-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 26 Jul 2021 14:30:00 +0200

## eoleflask-aaa 2.9.0-1

=== debian/changelog ===
eoleflask-aaa (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [b35dabc] Prepare version 2.9.0
  * [88eac99] Merge branch 'master' into dist/eole/2.9.0/master
  * [7f70503] fix(makefile): installing files requires directories first

  [ Benjamin Bohard ]
  * [a916ed4] Remplacer imp par importlib
  * [5426dbf] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f435280] Benjamin Bohard: Update package since “debian/eole/2.8.1-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 09 Nov 2022 11:52:31 +0100

## eoleflask-aaa 2.9.0-3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eoleflask-aaa
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=flask
 FLASK_MODULE=eoleauth

=== debian/changelog ===
eoleflask-aaa (2.9.0-3) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [430a25a] eoleflask-aaa : update packaging II

  [ EOLE Build Daemon ]
  * [a30c9d7] Joël Cuissinat: Update package since “debian/eole/2.9.0-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 16 Jan 2023 11:15:17 +0100

eoleflask-aaa (2.9.0-2) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [10feda4] eoleflask-aaa : update packaging

  [ EOLE Build Daemon ]
  * [1f3a98b] Joël Cuissinat: Update package since “debian/eole/2.9.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 13 Jan 2023 17:52:49 +0100

## eoleflask-aaa 2.9.0-4

=== debian/changelog ===
eoleflask-aaa (2.9.0-4) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [86719bc] Importer la fonction de traduction.
  * [588da38] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dccd807] Benjamin Bohard: Update package since “debian/eole/2.9.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 16 Apr 2025 15:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python3-all, dh-python
+Build-Depends: debhelper (>= 13),
+               python3-all,
+               dh-python,
+               python3-all-dev,
+               python-eoleflask,
+               python3-pam
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eoleflask-aaa
@@ -28,7 +33,7 @@
 Section: python
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python-eoleflask (>= 2.4.0-7),
+         python-eoleflask,
          python3-pam
 Description: python libraries for eoleflask-aaa
  eoleflask-aaa can be used to enable authentication in web application managed by

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

## eoleflask-aaa 2.10.0-6

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eoleflask-aaa
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=flask
 FLASK_MODULE=eoleauth

=== debian/changelog ===
eoleflask-aaa (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [86719bc] Importer la fonction de traduction.
  * [d1b7155] Merge branch '2.9.0/master'
  * [a06e3bb] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b862ece] Benjamin Bohard: Update package since “debian/eole/2.10.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 16 Apr 2025 15:10:01 +0200

eoleflask-aaa (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [1d09836] Fix le passage d'une eoleapps à l'autre
  * [8de10c3] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [aa7838a] Laurent Gourvénec: Update package since “debian/eole/2.10.0-4”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 07 Apr 2025 16:23:47 +0200

eoleflask-aaa (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [88535b0] ne pas retourner de string a l'initialisation de la session (ref #36338)
  * [dc65b8e] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [3923a16] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 10 Dec 2024 17:14:33 +0100

eoleflask-aaa (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [264a3cf] Fix erreurs liées à la suppression de app.session_cookie_name
  * [5a4ae46] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [aeb2142] Laurent Gourvénec: Update package since “debian/eole/2.10.0-2”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Jun 2024 16:48:47 +0200

eoleflask-aaa (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ed54afc] Utiliser locale.getlocale pour récupérer la langue du système.
  * [04f7577] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5a653c4] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 May 2024 14:11:52 +0200

eoleflask-aaa (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ff6397d] Prepare release 2.10.0
  * [6349486] Merge branch 'master' into dist/eole/2.10.0/master

  [ Joël Cuissinat ]
  * [071a781] Replace import escape from flask + python3 updates
  * [51f3333] before_first_request bypass
  * [5f637e3] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a54ce0f] Joël Cuissinat: Update package since “debian/eole/2.9.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 09 Apr 2024 16:13:42 +0200
